> ## Documentation Index
> Fetch the complete documentation index at: https://docs.invaro.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# General Document Processing

> Processes any document based on its type. Automatically routes to the appropriate processing handler. Simplifies client integration by using a single endpoint.



## OpenAPI

````yaml POST /api/v1/parse
openapi: 3.0.0
info:
  title: Invaro Document Processing API
  description: API for processing bank statements and invoices using OCR and AI
  version: 1.0.0
  contact:
    name: Invaro Support
    email: support@invaro.ai
    url: https://docs.invaro.ai
servers:
  - url: https://api.invaro.ai/api/v1
    description: Production API
security:
  - bearerAuth: []
paths:
  /api/v1/parse:
    post:
      tags:
        - General Processing
      summary: General Document Processing
      description: >-
        Processes any document based on its type. Automatically routes to the
        appropriate processing handler. Simplifies client integration by using a
        single endpoint.
      operationId: processGeneralDocument
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - document_id
              properties:
                document_id:
                  type: string
                  format: uuid
                  description: UUID of the document uploaded via /parse/upload endpoint.
                callback_url:
                  type: string
                  format: url
                  description: Optional URL to send a webhook notification upon completion.
                  example: https://your-callback-url.com/webhook
      responses:
        '200':
          description: Processing job accepted
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  data:
                    type: object
                    properties:
                      job_id:
                        type: string
                        example: job_123
                      status:
                        type: string
                        example: pending
                      created_at:
                        type: string
                        format: date-time
                        example: '2024-01-07T10:00:00Z'
                      updated_at:
                        type: string
                        format: date-time
                        example: '2024-01-07T10:00:00Z'
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````